Debian Bug report logs - #478812
ggzd Fails to install

version graph

Package: ggzd; Maintainer for ggzd is Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>;

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Thu, 1 May 2008 09:03:01 UTC

Severity: serious

Merged with 473350

Found in version ggz-server/0.0.14.1-1

Fixed in version ggz-server/0.0.14.1-1.1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#478812; Package ggzd. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: ggzd Fails to install
Date: Thu, 1 May 2008 12:01:15 +0300
Package: ggzd
Version: 0.0.14.1-1
Severity: serious

On my desktop:

$ sudo apt-get install ggzd
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libggzdmod6
Suggested packages:
  ggz-game-servers
The following NEW packages will be installed:
  ggzd
The following packages will be upgraded:
  libggzdmod6
1 upgraded, 1 newly installed, 0 to remove and 654 not upgraded.
Need to get 562kB of archives.
After this operation, 545kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ftp.fi.debian.org lenny/main libggzdmod6 0.0.14.1-1 [247kB]
Get:2 http://ftp.fi.debian.org lenny/main ggzd 0.0.14.1-1 [316kB]
Fetched 562kB in 10s (55,5kB/s)
(Reading database ... 201798 files and directories currently installed.)
Preparing to replace libggzdmod6 0.0.14-4 (using .../libggzdmod6_0.0.14.1-1_i386.deb) ...
Unpacking replacement libggzdmod6 ...
Selecting previously deselected package ggzd.
Unpacking ggzd (from .../ggzd_0.0.14.1-1_i386.deb) ...
Setting up libggzdmod6 (0.0.14.1-1) ...
Setting up ggzd (0.0.14.1-1) ...
Starting GGZ server: ggzd(<errorsys>) Unable to read file /etc/ggzd/ggzd.conf: No such file or directory
(<errormsg>) WARNING:  No configuration file loaded!
(<errorsys>) db_e->open() failed in _ggzdb_init(/var/lib/ggzd): No such file or directory
(<errormsgexit>) *** Database initialization failed
/etc/init.d/ggzd: line 21: 30041 Aborted                 start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --chuid games --startas $DAEMON
 failed!
invoke-rc.d: initscript ggzd, action "start" failed.
dpkg: error processing ggzd (--configure):
 subprocess post-installation script returned error exit status 134
Errors were encountered while processing:
 ggzd
E: Sub-process /usr/bin/dpkg returned an error code (1)
$ ls -l /var/lib/ggzd
-rw-r--r-- 1 games games 3  1.5. 11:57 ggzdb.ver
$

If you look at the gnome-games build logs same problem repeats:

http://buildd.debian.org/build.cgi?pkg=gnome-games;ver=1%3A2.22.1.1-2

arm:

Setting up ggzd (0.0.14.1-1) ...
Starting GGZ server: ggzd(<errorsys>) Unable to read file /etc/ggzd/ggzd.conf: No such file or directory
(<errormsg>) WARNING:  No configuration file loaded!
(<errorsys>) db_e->open() failed in _ggzdb_init(/var/lib/ggzd): No such file or directory
(<errormsgexit>) *** Database initialization failed
/etc/init.d/ggzd: line 21: 28831 Aborted                 start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --chuid games --startas $DAEMON
 failed!
invoke-rc.d: initscript ggzd, action "start" failed.
dpkg: error processing ggzd (--configure):
 subprocess post-installation script returned error exit status 134

armel:

Starting GGZ server: ggzd(<errorsys>) Unable to read file /etc/ggzd/ggzd.conf: No such file or directory
(<errormsg>) WARNING:  No configuration file loaded!
/etc/init.d/ggzd: line 21:  6762 Segmentation fault      start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --chuid games --startas $DAEMON
 failed!
invoke-rc.d: initscript ggzd, action "start" failed.
dpkg: error processing ggzd (--configure):
 subprocess post-installation script returned error exit status 139

hppa:

Setting up ggzd (0.0.14.1-1) ...
Starting GGZ server: ggzd(<errorsys>) Unable to read file /etc/ggzd/ggzd.conf: No such file or directory
(<errormsg>) WARNING:  No configuration file loaded!
(<errorsys>) db_e->open() failed in _ggzdb_init(/var/lib/ggzd): No such file or directory
(<errormsgexit>) *** Database initialization failed
/etc/init.d/ggzd: line 21: 28053 Aborted                 start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --chuid games --startas $DAEMON
 failed!
invoke-rc.d: initscript ggzd, action "start" failed.
dpkg: error processing ggzd (--configure):
 subprocess post-installation script returned error exit status 134

i386(!):

Setting up ggzd (0.0.14.1-1) ...
Starting GGZ server: ggzd(<errorsys>) Unable to read file /etc/ggzd/ggzd.conf: No such file or directory
(<errormsg>) WARNING:  No configuration file loaded!
(<errorsys>) db_e->open() failed in _ggzdb_init(/var/lib/ggzd): No such file or directory
(<errormsgexit>) *** Database initialization failed
/etc/init.d/ggzd: line 21: 11624 Aborted                 start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --chuid games --startas $DAEMON
 failed!
invoke-rc.d: initscript ggzd, action "start" failed.
dpkg: error processing ggzd (--configure):
 subprocess post-installation script returned error exit status 134

ia64:

Setting up ggzd (0.0.14.1-1) ...
Starting GGZ server: ggzd(<errorsys>) Unable to read file /etc/ggzd/ggzd.conf: No such file or directory
(<errormsg>) WARNING:  No configuration file loaded!
(<errorsys>) db_e->open() failed in _ggzdb_init(/var/lib/ggzd): No such file or directory
(<errormsgexit>) *** Database initialization failed
/etc/init.d/ggzd: line 21:  6862 Aborted                 start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --chuid games --startas $DAEMON
 failed!
invoke-rc.d: initscript ggzd, action "start" failed.
dpkg: error processing ggzd (--configure):
 subprocess post-installation script returned error exit status 134


-- 
"rm -rf" only sounds scary if you don't have backups




Merged 473350 478812. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 28 Aug 2008 16:24:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#478812; Package ggzd. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 478812@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: control@bugs.debian.org
Cc: 478812@bugs.debian.org, 490420@bugs.debian.org
Subject: setting package to libggzdmod++1 ggz-game-servers libggzdmod++-dev libggzdmod-dev libggzdmod6 ggzd ggz-server ...
Date: Fri, 29 Aug 2008 14:00:14 +0100
# Automatically generated email from bts, devscripts version 2.10.35
# via tagpending 
#
# ggz-server (0.0.14.1-1.1) unstable; urgency=low
#
#  * Add preinst to fix permissions on /var/lib/ggzd,
#    Fixes: ggzd Fails to install (Closes: #478812)
#    (LP: #149583)
#  * Move from libdb-dev to libdb4.4-dev and add upstream patch
#    for m4/database.m4 to tighten build-deps. Fixes  FTBFS:
#    ggzdb_db4.c:335: undefined reference to `db_create'
#    (Closes: #490420) (LP: #241913)
#

package libggzdmod++1 ggz-game-servers libggzdmod++-dev libggzdmod-dev libggzdmod6 ggzd ggz-server
tags 490420 + pending
tags 478812 + pending





Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 29 Aug 2008 13:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>:
Bug#478812; Package ggzd. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 478812@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 478812@bugs.debian.org
Cc: 490420@bugs.debian.org
Subject: Interdiff
Date: Fri, 29 Aug 2008 15:06:30 +0100
[Message part 1 (text/plain, inline)]
For the benefit of the release team and the bug logs, this is the full
interdiff for ggz-server, closing 478812 (merged with 473350) and
490420:

debian/patches/database-m4.patch comes from upstream (isolated to only
fix the current problem), see:
http://hq.ggzgamingzone.org/~josef/diffs/0.0.14.1/

The change to database-m4 requires running the autotools so these are
added as Build-Depends; autoconf, automake | automake1.9, libtool.

The effect of database-m4.patch is to tighten the build-dependencies on
libdb-dev such that ggzd ends up linked against libdb4.4 so the
build-depends for libdb-dev has been replaced by libdb4.4-dev. (Support
for libdb4.6 and later is being implemented upstream.)

'autoreconf -if' overwrites INSTALL so a tweak to debian/rules replaces
the upstream one and handles the files generated by rerunning the
autotools.

Thankfully, running the autotools didn't turn out to cause too much
bloat in the .diff.gz.

The new preinst was developed in consultation with ggz upstream [0].

diff -u ggz-server-0.0.14.1/debian/control ggz-server-0.0.14.1/debian/control
--- ggz-server-0.0.14.1/debian/control
+++ ggz-server-0.0.14.1/debian/control
@@ -4,7 +4,8 @@
 Maintainer: Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>
 Uploaders: Josef Spillner <josef@ggzgamingzone.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: cdbs, debhelper (>= 5), libavahi-client-dev, libggz-dev (>= 0.0.14), libexpat1-dev (>= 1.95.6), libdb-dev, libfam-dev, lsb-base (>= 3.0-3)
+Build-Depends: autoconf, automake | automake1.9, cdbs, debhelper (>= 5), libtool, libavahi-client-dev, libggz-dev (>= 0.0.14),
+ libexpat1-dev (>= 1.95.6), libdb4.4-dev, libfam-dev, lsb-base (>= 3.0-3)
 Vcs-Svn: svn://svn.debian.org/pkg-ggz/trunk/ggz-server/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-ggz/trunk/ggz-server/
 Homepage: http://www.ggzgamingzone.org/
diff -u ggz-server-0.0.14.1/debian/rules ggz-server-0.0.14.1/debian/rules
--- ggz-server-0.0.14.1/debian/rules
+++ ggz-server-0.0.14.1/debian/rules
@@ -17,5 +17,13 @@
+makebuilddir/ggzd::
+	cp INSTALL INSTALL.upstream
+	autoreconf -if
+	mv INSTALL.upstream INSTALL
+
 install/ggzd::
 	install -d -o games -g games debian/ggzd/var/lib/ggzd
 
 binary-install/ggz-game-servers::
 	rm debian/$(cdbs_curpkg)/etc/ggzd/rooms/entry.room
+
+clean::
+	rm -f config.sub config.guess config.log
diff -u ggz-server-0.0.14.1/debian/changelog ggz-server-0.0.14.1/debian/changelog
--- ggz-server-0.0.14.1/debian/changelog
+++ ggz-server-0.0.14.1/debian/changelog
@@ -1,3 +1,16 @@
+ggz-server (0.0.14.1-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add preinst to fix permissions on /var/lib/ggzd,
+    Fixes: ggzd Fails to install (Closes: #478812)
+    (LP: #149583)
+  * Move from libdb-dev to libdb4.4-dev and add upstream patch
+    for m4/database.m4 to tighten build-deps. Fixes  FTBFS: 
+    ggzdb_db4.c:335: undefined reference to `db_create' 
+    (Closes: #490420) (LP: #241913)
+
+ -- Neil Williams <codehelp@debian.org>  Fri, 29 Aug 2008 13:51:20 +0100
+
 ggz-server (0.0.14.1-1) unstable; urgency=low
 
   * New upstream release
only in patch2:
unchanged:
--- ggz-server-0.0.14.1.orig/debian/ggzd.preinst
+++ ggz-server-0.0.14.1/debian/ggzd.preinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+if [ -d /var/lib/ggzd ]; then
+	chown games:games -R /var/lib/ggzd/
+fi
+
+#DEBHELPER#
+
only in patch2:
unchanged:
--- ggz-server-0.0.14.1.orig/debian/patches/database-m4.patch
+++ ggz-server-0.0.14.1/debian/patches/database-m4.patch
@@ -0,0 +1,48 @@
+diff -Nur -x '*.orig' -x '*~' ggz-server-0.0.14.1/m4/database.m4 ggz-server-0.0.14.1.new/m4/database.m4
+--- ggz-server-0.0.14.1/m4/database.m4	2008-01-05 19:02:52.000000000 +0000
++++ ggz-server-0.0.14.1.new/m4/database.m4	2008-08-29 12:46:15.000000000 +0100
+@@ -130,7 +130,7 @@
+ 	dnl Check for db4 libraries
+ 	dnl Version priority: db4.4, db4.3, db4.2, db4.1, db4.0, db (unversioned)
+ 
+-	if test "$db4lib" = "" || test "$minor" = "4"; then
++	if test "$db4lib" = "" && test "$minor" = "4"; then
+ 		AC_CHECK_LIB(db-4.4, db_env_create_4004,
+ 		[
+ 			db4lib="-ldb-4.4"
+@@ -153,7 +153,7 @@
+ 		])
+ 	fi
+ 
+-	if test "$db4lib" = "" || test "$minor" = "3"; then
++	if test "$db4lib" = "" && test "$minor" = "3"; then
+ 		AC_CHECK_LIB(db-4.3, db_env_create_4003,
+ 		[
+ 			db4lib="-ldb-4.3"
+@@ -176,7 +176,7 @@
+ 		])
+ 	fi
+ 
+-	if test "$db4lib" = "" || test "$minor" = "2"; then
++	if test "$db4lib" = "" && test "$minor" = "2"; then
+ 		AC_CHECK_LIB(db-4.2, db_env_create_4002,
+ 		[
+ 			db4lib="-ldb-4.2"
+@@ -199,7 +199,7 @@
+ 		])
+ 	fi
+ 
+-	if test "$db4lib" = "" || test "$minor" = "1"; then
++	if test "$db4lib" = "" && test "$minor" = "1"; then
+ 		AC_CHECK_LIB(db-4.1, db_env_create_4001,
+ 		[
+ 			db4lib="-ldb-4.1"
+@@ -222,7 +222,7 @@
+ 		])
+ 	fi
+ 
+-	if test "$db4lib" = "" || test "$minor" = "0"; then
++	if test "$db4lib" = "" && test "$minor" = "0"; then
+ 		AC_CHECK_LIB(db-4.0, db_env_create_4000,
+ 		[
+ 			db4lib="-ldb-4.0"


[0] IRC details for preinst:
<josef|vista> it's to make sure that the header will match the library, otherwise the segfault you saw might happen
 db 4.4 is the latest version supported by the 0.0.14 branch, although if needed we could patch in support for 4.5 to 4.7 as well
 they all use the same code anyway
<codehelp> 4.4 is fine
....
<codehelp> I need to check that with debian-release first - only the fixes for the known bugs will get into Lenny, that change might have to go into the next version in unstable
 what is the story with /var/lib/ggzd/ggzdb.ver ?
 if it exists, I still get the old failure. Is it safe to remove that file without any kind of checks?
<josef|vista> for Lenny I'd say yes, it is there to check if the database layout changed, but it hasn't changed in ages
<codehelp> where is it created?
<josef|vista> by ggzd itself in the db4 database plugin
 it creates it, write the version 0.7 into the file, and then when there is a new version of ggzd which needs version 0.8 it would bail out
 I remember patching this line and then reverting (in trunk only), not sure what the reasons were, might need to take another look
<codehelp> thanks - testing continues
<josef|vista> yet I'd say simply rm -rf in the postinst should be enough for now
 rm -f, sorry
<codehelp> I think it needs to be rm -rf $directory in the preinst
 the daemon falls over if it exists
<josef|vista> hm ok
 thank you for looking into this
<codehelp> (<errorsysexit>) fopen(w) failed in ggzdb_init(): Permission denied
 /etc/init.d/ggzd: line 21: 14141 Aborted 
 [fail]
 so the preinst isn't right either
 (the file does not now exist)
 I'll just try rm -f $file
 it might be sufficient merely to chown games.games /var/lib/ggzd/ !
 yes, that does the trick
 Bingo.
 chmod is the right fix for the installation problem if /var/lib/ggzd/ exists
 and the database.m4 change is sufficient to get ggzd to depend on libdb4.4
<josef|vista> hm, I thought it was already games:games?
 it definitely should be!
<codehelp> sadly, if it is not, the ggzd_init func just fails, hence the install problem and the need for chmod in the preinst
 the func checks if it exists then tries to write. It doesn't test that it is ok to write
 (or it does but then bails out)
<josef|vista> I remember the debian packages to include a call to chmod... but anyway, what we can do in the code is to at least spell out which file could not be written to
<codehelp> ok
 I've got a few more tests to run but this looks like I can fix all the release critical issues and get a minimally modified version into Lenny with your other improvements going into the next version in unstable
 I'll check with the release team but I think only changes to database.m4 and ggzd.preinst will be allowed as a freeze exception
<josef|vista> ok
 anyway there will be a lenny point release and those usually include such fixes along with security fixes, right?
<codehelp> yes, they can do
 josef|vista: can I post (at least some) of this IRC log to one of the bug reports to help the release team ?
<josef|vista> sure



-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 478812-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 478812-close@bugs.debian.org
Subject: Bug#478812: fixed in ggz-server 0.0.14.1-1.1
Date: Fri, 29 Aug 2008 14:32:03 +0000
Source: ggz-server
Source-Version: 0.0.14.1-1.1

We believe that the bug you reported is fixed in the latest version of
ggz-server, which is due to be installed in the Debian FTP archive:

ggz-game-servers_0.0.14.1-1.1_amd64.deb
  to pool/main/g/ggz-server/ggz-game-servers_0.0.14.1-1.1_amd64.deb
ggz-server_0.0.14.1-1.1.diff.gz
  to pool/main/g/ggz-server/ggz-server_0.0.14.1-1.1.diff.gz
ggz-server_0.0.14.1-1.1.dsc
  to pool/main/g/ggz-server/ggz-server_0.0.14.1-1.1.dsc
ggzd_0.0.14.1-1.1_amd64.deb
  to pool/main/g/ggz-server/ggzd_0.0.14.1-1.1_amd64.deb
libggzdmod++-dev_0.0.14.1-1.1_amd64.deb
  to pool/main/g/ggz-server/libggzdmod++-dev_0.0.14.1-1.1_amd64.deb
libggzdmod++1_0.0.14.1-1.1_amd64.deb
  to pool/main/g/ggz-server/libggzdmod++1_0.0.14.1-1.1_amd64.deb
libggzdmod-dev_0.0.14.1-1.1_amd64.deb
  to pool/main/g/ggz-server/libggzdmod-dev_0.0.14.1-1.1_amd64.deb
libggzdmod6_0.0.14.1-1.1_amd64.deb
  to pool/main/g/ggz-server/libggzdmod6_0.0.14.1-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated ggz-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 29 Aug 2008 13:51:20 +0100
Source: ggz-server
Binary: ggzd ggz-game-servers libggzdmod6 libggzdmod-dev libggzdmod++1 libggzdmod++-dev
Architecture: source amd64
Version: 0.0.14.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian GGZ Maintainers <pkg-ggz-maintainers@lists.alioth.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 ggz-game-servers - GGZ Gaming Zone: game servers collection
 ggzd       - GGZ Gaming Zone: main server
 libggzdmod++-dev - GGZ Gaming Zone: game backend class library - development files
 libggzdmod++1 - GGZ Gaming Zone: game backend class library
 libggzdmod-dev - GGZ Gaming Zone: game backend library - development files
 libggzdmod6 - GGZ Gaming Zone: game backend library
Closes: 478812 490420
Changes: 
 ggz-server (0.0.14.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add preinst to fix permissions on /var/lib/ggzd,
     Fixes: ggzd Fails to install (Closes: #478812)
     (LP: #149583)
   * Move from libdb-dev to libdb4.4-dev and add upstream patch
     for m4/database.m4 to tighten build-deps. Fixes  FTBFS:
     ggzdb_db4.c:335: undefined reference to `db_create'
     (Closes: #490420) (LP: #241913)
Checksums-Sha1: 
 d47c6d0a6ff8908dfb4934972021579fa6e312ae 1529 ggz-server_0.0.14.1-1.1.dsc
 388f3e8f8a485f213e2c10972c4b1586d866d146 22679 ggz-server_0.0.14.1-1.1.diff.gz
 bc8838534db894757922d3dd98d164b90759cc98 328390 ggzd_0.0.14.1-1.1_amd64.deb
 6740bcc18c867b43b532429683bb3c90bb460711 470326 ggz-game-servers_0.0.14.1-1.1_amd64.deb
 eed9f56e625ca80a450b3978de855b7ed0fa2ce9 249080 libggzdmod6_0.0.14.1-1.1_amd64.deb
 f5fabc65ac3b94ff1d65effcc0b688f5c7b15a8d 264148 libggzdmod-dev_0.0.14.1-1.1_amd64.deb
 fd4efd3b6930889f5329378737d7ded753ef19cf 249376 libggzdmod++1_0.0.14.1-1.1_amd64.deb
 0bf201d8a106365fb5ffe6c480d93eb29acdbb3b 252688 libggzdmod++-dev_0.0.14.1-1.1_amd64.deb
Checksums-Sha256: 
 08680271298e8ade7b18ae8336af09aedc1f274370548d86f2978241fcf21c8c 1529 ggz-server_0.0.14.1-1.1.dsc
 6b3178f11f65919c5c49cb9d4160bb7be0799dc72b74424ade6805ff89bfa292 22679 ggz-server_0.0.14.1-1.1.diff.gz
 45984b7f5ad42fd954a087642512b406b888c83adb7d843cbef7a81d28ed7f38 328390 ggzd_0.0.14.1-1.1_amd64.deb
 e56ef87515b59fc9fdfe46258313cf182dfd87d83ae445726876472a188c2bb5 470326 ggz-game-servers_0.0.14.1-1.1_amd64.deb
 57fbd385d894465170775dd99f15ef1a662b778d985dfe60895f2c0b1d003ede 249080 libggzdmod6_0.0.14.1-1.1_amd64.deb
 e8a2017996cb2cb3908a146c1b73dc02986f72e091d0022d887be2079bde9f44 264148 libggzdmod-dev_0.0.14.1-1.1_amd64.deb
 4c985ea615ea272b4937941cdd717f88623ff600952542fbc21f1db313faeb0e 249376 libggzdmod++1_0.0.14.1-1.1_amd64.deb
 26929a5829f7620c7cac95a03637e18d371bc6e3d0ad1257a96a0b97d779006f 252688 libggzdmod++-dev_0.0.14.1-1.1_amd64.deb
Files: 
 43f20415e8f5ec4a5dde961764273dd5 1529 games optional ggz-server_0.0.14.1-1.1.dsc
 1d6c2be5a517bebcb36ffdbfbdf36073 22679 games optional ggz-server_0.0.14.1-1.1.diff.gz
 9047ee295563c12de0e3f99d2b47e2cb 328390 games optional ggzd_0.0.14.1-1.1_amd64.deb
 496f790db4a20fc5082a004f9ca7d518 470326 games optional ggz-game-servers_0.0.14.1-1.1_amd64.deb
 c1e4208222495da0e2122dca35487e04 249080 libs optional libggzdmod6_0.0.14.1-1.1_amd64.deb
 bd9196d6029317f3d8e1fae269822741 264148 libdevel optional libggzdmod-dev_0.0.14.1-1.1_amd64.deb
 74737dcd46e2df7fe21cfb676abced45 249376 libs optional libggzdmod++1_0.0.14.1-1.1_amd64.deb
 7337b0591e3c0dbcb5d0a01c2f53d4ee 252688 libdevel optional libggzdmod++-dev_0.0.14.1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAki4A5gACgkQiAEJSii8s+OSJACePepeCBUHI//22yRMgv+GUfKa
mWcAni46Rx9aZm/vSHQmbRw6Z6zh3F2l
=yvmM
-----END PGP SIGNATURE-----





Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frederik Eaton <frederik@ofb.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Jan 2009 07:27:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:58:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.